<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author Ship-Quik SL <info@ship-quik.com>
 * @copyright Since 2022 Ship-Quik SL
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 */
include dirname(__FILE__) . '/../../../config/config.inc.php';
include dirname(__FILE__) . '/../../../init.php';
require dirname(__FILE__) . '/../vendor/autoload.php';

use ShipQuik\PrestaShop\ShipQuik_BD;

$module_name = 'ship_quik';

$token = pSQL(Tools::encrypt($module_name . '/ajax_print_label.php'));
$token_url = pSQL(Tools::getValue('token'));

if ($token != $token_url || !Module::isInstalled($module_name)) {
    exit('Error al ejecutar el ajax');
}

$module = Module::getInstanceByName($module_name);
if ($module->active) {
    $order_id = pSQL(Tools::getValue('order_id'));
    $order = new Order((int) $order_id);

    $result = ShipQuik_BD::getDatabyOrderId($order_id);
    $response = [];

    if ($result) {
        $shipmentInfo = json_decode(str_replace('&quot;', '"', $result['shipment_data']), true, 99);

        if (isset($shipmentInfo['data']['shippingOrder']['shippingLabels'])) {
            $response['labelsMimeType'] = $shipmentInfo['data']['shippingOrder']['labelsMimeType'];
            foreach ($shipmentInfo['data']['shippingOrder']['shippingLabels'] as $label) {
                $response['labels'][] = $label;
            }
            ShipQuik_BD::setPrintedStatus($order, '1');
        }
    }

    echo json_encode($response);
}
