/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2022 Ship-Quik SL
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 */
document.addEventListener('DOMContentLoaded', function () {
    /***** Editable table *****/
    if (jQuery('#shippingTableRates').length) {
        function rowEmpty() {
            var result = true;
            jQuery('#shippingTableRates .rate-row').each(function (index) {
                jQuery(jQuery(this).find('.field')).each(function (index) {
                    if (jQuery(this).val().trim() == '') {
                        result = false;
                    }
                });
            });

            return result;
        }

        var i = jQuery('#shippingTableRates').data('table-count');
        var option_name = jQuery('#shippingTableRates').data('option-name');
        var delete_text = jQuery('#shippingTableRates').data('delete-text');

        if (jQuery('#shippingTableRates .rate-row').length == 0 ) {
            jQuery('#shippingTableRates .rates-header ').hide();
        }

        jQuery(document).on('click', '#shippingTableRates .add-rate',
            function () {
                if (rowEmpty() == true) {
                    html = '<tr class="rate-row rate-row-' + i + '">';
                    html += '<td><input class="field" name="' + option_name + '[' + i + '][from]" type="text" min="1" step="0.01" /></td>';
                    html += '<td><input class="field" name="' + option_name + '[' + i + '][to]" type="text" min="1" step="0.01" /></td>';
                    html += '<td><input class="field" name="' + option_name + '[' + i + '][value]" type="text" min="1" step="0.01" /></td>';
                    html += '<td><span style="cursor: pointer" class="material-icons delete-rate" data-id="' + i + '">delete</span></td>';
                    html += '</tr>';
                    jQuery(this).next().append(html);
                    jQuery('#shippingTableRates .rate-row-' + i).find('input:first').focus();

                    if (jQuery('#shippingTableRates .rate-row').length > 0 ) {
                        jQuery('#shippingTableRates .rates-header').show();
                    }

                    i++;
                }
            }
        );
        jQuery(document).on('click', '#shippingTableRates .delete-rate',
            function () {
                if (confirm(delete_text)) {
                    jQuery('#shippingTableRates .rate-row-' + jQuery(this).data('id')).remove();

                    if (jQuery('#shippingTableRates .rate-row').length == 0 ) {
                        jQuery('#shippingTableRates .rates-header ').hide();
                    }
                }
            }
        );
    }
});
