/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author Ship-Quik SL <info@ship-quik.com>
 * @copyright Since 2022 Ship-Quik SL
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 */
document.addEventListener('DOMContentLoaded', function () {

    if (shipquik_selected_orders) {
        jQuery('#paymentShipQuikOrdersModal').modal('show');
    }

    jQuery('#paymentShipQuikOrdersModal').on('shown.bs.modal', function (e) {
        jQuery('#paymentShipQuikOrdersModal #payment-total').html(paymentTotal);
        stripe_dialog();
    });

    function stripe_dialog() {
        const stripe = Stripe(stkey);
        var elements;

        initialize();

        document.querySelector("#payment-form").addEventListener("submit", handleSubmit);
        document.querySelector("#cancel").addEventListener("click", handleCancel);

        async function initialize() {
            const { clientSecret } = { clientSecret : paymentKey };

            elements = stripe.elements({ clientSecret });

            const paymentElement = elements.create("payment");
            paymentElement.mount("#payment-element");
        }
        async function handleSubmit(e) {
            e.preventDefault();

            const { error } = await stripe.confirmPayment({
                elements,
                confirmParams: {
                    return_url: paymentReturnSubmitUrl + "&processed_orders_ids=" + shipquik_selected_orders
                }
            });
        }
        async function handleCancel(e) {
                window.location.href = paymentReturnCancelUrl;
        }
    }
})
